{#LG 20190717 
widget d'affichage d'une heure de début et d'hne heure de fin
#}
{% if psNomTimeBase is not defined %}
	{% set psNomTimeBase = "widgetDébutFin_" %}
{% endif %}
{% if psDébut is not defined %}
	{% set psDébut = "00:00" %}
{% endif %}
{% if psFin is not defined %}
	{% set psFin = "23:59" %}
{% endif %}
<div class="form-group row align-items-center" id = "{{psNomTimeBase}}">
{% if psDate is defined %}
	<label class="col-lg-1 col-sm-1 m-0" for="{{psNomTimeBase}}Date" {#style="text-align: right"#}>Date</label>
	<input class="col-lg-3 col-sm-2 form-control LGDate" type='date' name='{{psNomTimeBase}}Date' id="{{psNomTimeBase}}Date" value="{{psDate}}">
	{% set piColRestantes = "3" %}
{% else %}
	{% set piColRestantes = "6" %}
{% endif %}
{# MG Ajout 20200306 Début #}
{# Si le premier digit de l'heure est un 0, il est ignoré, la value ne sera pas bonne pour l'input time#}
	{% if psDébut|length is same as (4) %}	
		{% set psDébut = "0"~psDébut %}
	{% endif %}
	{% if psFin|length is same as (4) %}	
		{% set psFin = "0"~psFin %}
	{% endif %}
{# MG Ajout 20200306 Fin #}
	<label class="col-lg-1 col-sm-1 m-0" for="{{psNomTimeBase}}Début" style="text-align: center">De</label>
	<input class="col-lg-2 col-sm-2 form-control LGHeure" type='time' name='{{psNomTimeBase}}Début' onclick="{{psNomTimeBase}}CalcDurée();" id="{{psNomTimeBase}}Début" value="{{psDébut}}">
	<label class="col-lg-1 col-sm-1 m-0" for="{{psNomTimeBase}}Fin" style="text-align: center">à</label>
	<input class="col-lg-2 col-sm-2 form-control LGHeure" type='time' name='{{psNomTimeBase}}Fin' onchange="{{psNomTimeBase}}CalcDurée();" id="{{psNomTimeBase}}Fin" value="{{psFin}}"> 
{# MG Modification 20200813 Début #}
{# Poir avoir le message d'erreur sur une seule ligne #}
{#	<div class="col-lg-{{piColRestantes}} col-sm-{{piColRestantes}} col-md-12 col-xs-12" id="{{psNomTimeBase}}Durée" style="margin-left: 1em"></div>#}
	<div class="col-lg-12 col-sm-12 col-md-12 col-xs-12" id="{{psNomTimeBase}}Durée" style="margin-left: 1em"></div>
{# MG Modification 20200813 Fin #}
{#	<div class="" id="{{psNomTimeBase}}Durée" style="margin-left: 1em"></div>#}

	<script type="text/javascript">
		function {{psNomTimeBase}}CalcDurée() {
			var tDebut = document.getElementById("{{psNomTimeBase}}Début").value;
			var tFin = document.getElementById("{{psNomTimeBase}}Fin").value;
			var aDebut = tDebut.split(":");
			var aFin = tFin.split(":");
			var iDebut = (Number(aDebut[0])*60) + Number(aDebut[1]);
			var iFin = (Number(aFin[0])*60) + Number(aFin[1]);
			var lsDurée ;
			var lsCouleur = "black" ;
			if (iDebut <= iFin){
				var num3 = iFin - iDebut ;
				var num4 = num3%60;
				num3=Math.floor(num3/60);
				if (num4 < 10){
					lsDurée = String(num3+":0"+num4);
				} else {
					lsDurée = String(num3+":"+num4);
				}
				lsDurée = "Durée : " + lsDurée ;
			} else {
				lsDurée = "Heure de début incohérente avec l'heure de fin";
				lsCouleur = "red" ;
			}
	//			document.getElementById("{{psNomTimeBase}}Durée").innerHTML = "Heure de début incohérente avec l'heure de fin"; 
			$("#{{psNomTimeBase}}Durée").html(lsDurée) ;
			$("#{{psNomTimeBase}}Durée").css("color", lsCouleur) ;
		}
	</script>
</div>

